Bug 150951 - cp -L option is ignored if -l is used
Summary: cp -L option is ignored if -l is used
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
(Show other bugs)
Version: 3
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-12 16:08 UTC by Robin Green
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-14 12:17:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robin Green 2005-03-12 16:08:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
The info page for cp says that the -L option will always dereference symbolic links. However, it does not do so if the -l option is also used.

Version-Release number of selected component (if applicable):
coreutils-5.2.1-31

How reproducible:
Always

Steps to Reproduce:
1. cp -lL /lib/libc.so.6 /tmp
2. ls -l /tmp/libc.so.6


Actual Results:  lrwxrwxrwx  3 root root 13 Mar 12 09:04 /tmp/libc.so.6 -> libc-2.3.4.so


Expected Results:  -rwxr-xr-x  1 root root 1509072 Mar 12 11:06 /tmp/libc.so.6


Additional info:

The expected result obtains if the -l option is omitted.

Comment 1 Tim Waugh 2005-03-14 12:17:53 UTC
Reported upstream.

http://lists.gnu.org/archive/html/bug-coreutils/2005-03/threads.html
(not in archive yet)


Note You need to log in before you can comment on or make changes to this bug.